#!/usr/bin/env gnuplot

reset

set terminal pdf dashed # size 3.9,5.0 #7,11
ext="pdf"

# Axes
set border 3 back
set tics nomirror out scale 0.55

#unset key
set key left top

# Prepare to read the data 
Re_dirlist=system("find ./Data/ -type d -name '*Re*'")
set datafile separator ","

Basename(filename)=system("basename ".filename." | cut -d. -f1")

do for [Re_dir in Re_dirlist] {

    outfile = sprintf("./Plots/c_along_x_%s.%s", Basename(Re_dir), ext)
    set output outfile

    set yrange [0:3.5]

    set multiplot

    f = Re_dir."/Eul/St005.csv"
    plot f u 1:3 with linespoints ls 7 title "Stk = 0.05"
    f = Re_dir."/Eul/St01.csv"
    plot f u 1:3 with linespoints ls 7 title "Stk = 0.1"
    f = Re_dir."/Eul/St02.csv"
    plot f u 1:3 with linespoints ls 7 title "Stk = 0.2"

    f = Re_dir."/DPM/St005.csv"
    plot f u 1:3 with linespoints ls 7 
    f = Re_dir."/DPM/St01.csv"
    plot f u 1:3 with linespoints ls 7
    f = Re_dir."/DPM/St02.csv"
    plot f u 1:3 with linespoints ls 7

    unset multiplot
}
