#!/usr/bin/env gnuplot

reset

set terminal epslatex standalone
set output 'dep_on_cylinder.tex'

set monochrome
unset key

set border 3
set xtics nomirror; set ytics nomirror

set xlabel '$\theta$'
set ylabel '$n_\textrm{p}$' rotate by 0 center

set xrange [0:1.4]
set yrange [0:5.5]
#set size ratio -1

set multiplot

set label 1 at 0.45,5   'Stk $= 0.25$' center
set label 2 at 0.7,2.3  'Stk $= 0.5$' center
set label 3 at 1,1.6    'Stk $= 1.0$' center
set label 4 at 1.2,0.8  'Stk $= 4.0$' center

set datafile separator ","
filelist=system("find ./Data/Wessel/ -type f -name 'stk*.csv'")
plot for [filename in filelist] filename every 2 u 1:2 w points pt 2 ps 2

set datafile separator ","
filelist=system("find ./Data/Tracker/ -type f -name 'Stk*2000*.dep'")
plot for [filename in filelist] filename u (asin($3)):6 w lines ls 1 linewidth 2

unset multiplot
