#!/usr/bin/env bash

# clean up, bacause later we use "append"
rm -rf ./d_*csv

diams=( 2e-6 1e-5 2e-5 3e-5 )

input="../../Data/dpm_20160603.csv"
if [[ ! -f $input ]]; then
    printf '%s does not exist!\n' "$input"
    exit 1
fi

for d1 in "${diams[@]}"
do
    awk -F, -v d1=$d1 '\
        BEGIN{bl=0};
        /^$/ {bl++; if(bl<=2) print; else next};
        { if ($5 >= d1-1e-6 && $5 <= d1+1e-6) {print; bl=0}}; 
        ' "$input" >> "./d_$d1.csv"
done

