#!/usr/bin/env gnuplot

set loadpath './'
load 'style.cfg'
load 'data.cfg'

ntics = 4

x_max = 0.07
x_min = 0.0
y_max = 0.0
y_min = -0.104

set x2tics 0.02

set xrange [x_min:x_max]
set yrange [y_min:y_max]
set size ratio -1
set autoscale fix

set bmargin at screen 0.025;
set tmargin at screen 0.9;

set datafile separator ","
filelist = system("find ./Data -type f -name 'd_*.csv'")

i = 0
do for [filename in filelist] {
	if (i == 2) {
		set terminal pdf dashed size 2.05,2.7
		set ytics 0.02 font "Times-Roman, 10"
		set lmargin at screen 0.2;
		set rmargin at screen 1.0;
		unset colorbox
	} 
	if (i == 0) {
		set terminal pdf dashed size 1.7,2.7
		unset ytics
		set lmargin at screen 0.025;
		set rmargin at screen 1.0;
		unset colorbox
	}
	if (i == 1) {
		set terminal pdf dashed size 2.2,2.7
		set colorbox
		set cbrange [0:10]
		set cbtics offset -2,0 font "Times-Roman, 14"
		set lmargin at screen 0.025;
		set rmargin at screen 0.95;
	}
    # plot injector tip
    set arrow from 4e-3,0   to 4e-3,-6e-3 nohead
    set arrow from 0,-10e-3 to 4e-3,-6e-3 nohead

    outfile = sprintf("./Plots/traj_c_%s.%s", Basename(filename), ext)
    set output outfile

    plot filename index 0:50 u 4:(-$3):8 w lines lw 3 palette
    i = i+1
}
