#!/usr/bin/env gnuplot

set loadpath './'
load 'style.cfg'
load 'data.cfg'

set terminal pdf dashed size 6,2.7




ntics = 4

x_max = 0.07
x_min = 0.0
y_max = 0.0
y_min = -0.104

set x2tics 0.02
set ytics 0.02

set xrange [x_min:x_max]
set yrange [y_min:y_max]
set size ratio -1
set autoscale fix
set lmargin at screen 0.15;
set rmargin at screen 0.99;
set bmargin at screen 0.025;
set tmargin at screen 0.9;

set datafile separator ","
filelist = system("find ./Data -type f -name 'd_*.csv'")

outfile = sprintf("./Plots/traj_c_no_cb.%s", ext)
set output outfile
set multiplot layout 1,3 margins 0.05,0.95,.1,.99 spacing 0,0

set colorbox user origin screen 0, screen (x_max*3) size screen 0.01, screen 0.05
set cbrange [0:10]
set cbtics offset -2,0 font "Times-Roman, 14"
do for [filename in filelist] {
    # plot injector tip
    set arrow from 4e-3,0   to 4e-3,-6e-3 nohead
    set arrow from 0,-10e-3 to 4e-3,-6e-3 nohead

    plot filename index 0:50 u 4:(-$3):8 w lines lw 3 palette
    unset ytics
    unset colorbox
}
unset multiplot
