#!/usr/bin/env gnuplot

reset

ext="pdf"
set terminal pdf monochrome dashed size 3.75,5.0 #7,11

unset key

# Axes
set border 2+4 back
set tics nomirror out scale 0.55
set tics font ", 18"

unset xtics
set x2tics 0.02

set xrange [0:0.07]
set yrange [-0.104:0]
set size ratio -1
set autoscale fix
set lmargin at screen 0.15;
set rmargin at screen 0.99;
set bmargin at screen 0.03;
set tmargin at screen 0.95;

Basename(filename)=system("basename ".filename." | cut -d. -f1")

set datafile separator ","
filelist=system("find ./Data -type f -name 'd_*.csv'")
do for [filename in filelist] {
    # plot injector tip
    set arrow from 4e-3,0   to 4e-3,-6e-3 nohead
    set arrow from 0,-10e-3 to 4e-3,-6e-3 nohead

    outfile = sprintf("./Plots/traj_d_%s.%s", Basename(filename), ext)
    set output outfile
    unset colorbox
    plot filename index 0:50 u 4:(-$3) w lines
}
