#!/usr/bin/env gnuplot

set loadpath './'
load 'style.cfg'
load 'data.cfg'

set xrange [0:0.06]
set yrange [-0.09:-0.006]
set size ratio -1
set autoscale fix
set bmargin at screen 0.03;
set tmargin at screen 0.96;

unset x2tics
unset colorbox
i = 0
do for [filename in filelist] {
    if (i == 1) {
        set terminal pdf dashed size 2.3,2.7
        set colorbox
        set cbrange [0:10]
        set cbtics offset -2,0 font "Times-Roman, 14"
        set lmargin at screen 0.025;
        set rmargin at screen 0.95;
    } else {
        set terminal pdf dashed size 1.9,2.7
        set lmargin at screen 0.01;
        set rmargin at screen 0.99;
        unset colorbox
    }
    # plot injector tip
    set arrow from 0,-10e-3 to 4e-3,-6e-3 nohead

    outfile = sprintf("./Plots/traj_j_%s.%s", Basename(filename), ext)
    set output outfile

    plot filename index 0:40:8 u 4:(-$3):8 w lines lw 5 palette, \
        '' index 0:40:8 u 4:(sgn($9*$12-$10*$11) > 0?-$3:NaN) w points pt 2 ps 1.0 lw 3 lc rgb "black", \
        '' index 0:40:8 u 4:(sgn($9*$12-$10*$11) < 0?-$3:NaN) w points pt 6 ps 1.0 lw 3 lc rgb "red"
    i = i+1
}
