#!/usr/bin/env bash

# clean up, because later we use "append"

times=( 0.5e-3 1e-3 1.5e-3 2e-3 )
eps=5e-5

input="../../Data/dpm_20160603.csv"
if [[ ! -f $input ]]; then
    printf '%s does not exist!\n' "$input"
    exit 1
fi

for t1 in "${times[@]}"
do
    awk -F, -v t1=$t1 -v eps=$eps '\
        { if ($1 > t1-eps && $1 < t1+eps) print };
        ' "$input" >> "./t_$t1.csv"
done
